<html>
<head>
<title>OGRE: OgreStaticFaceGroup.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreStaticFaceGroup.h</h1><a href="OgreStaticFaceGroup_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __StaticFaceGroup_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __StaticFaceGroup_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgrePlane_8h.html">OgrePlane.h</a>"</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgrePatchSurface_8h.html">OgrePatchSurface.h</a>"</span>
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 <span class="keyword">namespace </span>Ogre {
<a name="l00038"></a>00038 
<a name="l00040"></a><a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f38">00040</a>     <span class="keyword">enum</span> <a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f38" title="A type of face group, ie face list of procedural etc.">FaceGroupType</a> {
<a name="l00041"></a><a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f3806ae7e34bd024924db27d7a490c545e4">00041</a>         <a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f3806ae7e34bd024924db27d7a490c545e4">FGT_FACE_LIST</a>,
<a name="l00042"></a><a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f38b0cfe6b33db8e2804a5f50ae51d59ff5">00042</a>         <a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f38b0cfe6b33db8e2804a5f50ae51d59ff5">FGT_PATCH</a>,
<a name="l00043"></a><a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f388d46b5184ac4f071e0f287f89e1b253b">00043</a>         <a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f388d46b5184ac4f071e0f287f89e1b253b">FGT_UNKNOWN</a>
<a name="l00044"></a>00044     };
<a name="l00045"></a>00045 
<a name="l00064"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html">00064</a>     <span class="keyword">struct </span><a class="code" href="structOgre_1_1StaticFaceGroup.html" title="Collectes a group of static ie immovable faces together which have common properties...">StaticFaceGroup</a> {
<a name="l00065"></a>00065         <span class="comment">// Type of face group.</span>
<a name="l00066"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html#bc91f43284e36aa2376f4d54078f0480">00066</a>         <a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f38" title="A type of face group, ie face list of procedural etc.">FaceGroupType</a> <a class="code" href="structOgre_1_1StaticFaceGroup.html#bc91f43284e36aa2376f4d54078f0480">fType</a>;
<a name="l00067"></a>00067 
<a name="l00069"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html#a58eb0dbf0fdf7e625c80e7dbb0e76f9">00069</a>         <span class="keywordtype">bool</span> <a class="code" href="structOgre_1_1StaticFaceGroup.html#a58eb0dbf0fdf7e625c80e7dbb0e76f9" title="Is this a sky surface?">isSky</a>;
<a name="l00070"></a>00070 
<a name="l00074"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html#09215495af768e8a68b20cf1a937af3a">00074</a>         <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1StaticFaceGroup.html#09215495af768e8a68b20cf1a937af3a" title="Index into a buffer containing vertex definitions.">vertexStart</a>;
<a name="l00075"></a>00075 
<a name="l00080"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html#4b1e2bb83673099b9d2459a1bb67f429">00080</a>         <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1StaticFaceGroup.html#4b1e2bb83673099b9d2459a1bb67f429" title="The range of vertices in the buffer this facegroup references.">numVertices</a>;
<a name="l00081"></a>00081 
<a name="l00089"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html#3f73219edf1201e9a3c769f9ccc672bf">00089</a>         <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1StaticFaceGroup.html#3f73219edf1201e9a3c769f9ccc672bf" title="Index into a buffer containing vertex indices.">elementStart</a>;
<a name="l00090"></a>00090 
<a name="l00094"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html#2dba19f0f06565cd111206a4a673239c">00094</a>         <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1StaticFaceGroup.html#2dba19f0f06565cd111206a4a673239c" title="The number of vertex indices.">numElements</a>;
<a name="l00095"></a>00095 
<a name="l00100"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html#697d56998dccec97a4670930ea7c2a41">00100</a>         <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1StaticFaceGroup.html#697d56998dccec97a4670930ea7c2a41" title="Handle to material used by this group.">materialHandle</a>;
<a name="l00101"></a>00101 
<a name="l00102"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html#d258e1806394cbd8b2efe7f39d3a7296">00102</a>         <a class="code" href="classOgre_1_1Plane.html" title="Defines a plane in 3D space.">Plane</a> <a class="code" href="structOgre_1_1StaticFaceGroup.html#d258e1806394cbd8b2efe7f39d3a7296">plane</a>;
<a name="l00103"></a>00103 
<a name="l00105"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html#42cad07e5dea1a57a10304dcd7b7810b">00105</a>         <a class="code" href="classOgre_1_1PatchSurface.html" title="A surface which is defined by curves of some kind to form a patch, e.g.">PatchSurface</a>* <a class="code" href="structOgre_1_1StaticFaceGroup.html#42cad07e5dea1a57a10304dcd7b7810b" title="Patch surface (only applicable when fType = FGT_PATCH).">patchSurf</a>;
<a name="l00106"></a>00106 
<a name="l00107"></a>00107 
<a name="l00108"></a><a class="code" href="structOgre_1_1StaticFaceGroup.html#e57aba80895c22bb02f633d02be64edb">00108</a>         <a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <span class="keyword">friend</span> std::ostream&amp; <a class="code" href="structOgre_1_1StaticFaceGroup.html#e57aba80895c22bb02f633d02be64edb">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="structOgre_1_1StaticFaceGroup.html" title="Collectes a group of static ie immovable faces together which have common properties...">StaticFaceGroup</a>&amp; s)
<a name="l00109"></a>00109         {
<a name="l00110"></a>00110             o &lt;&lt; <span class="stringliteral">"StaticFaceGroup("</span>;
<a name="l00111"></a>00111             <span class="keywordflow">if</span> (s.<a class="code" href="structOgre_1_1StaticFaceGroup.html#bc91f43284e36aa2376f4d54078f0480">fType</a> == <a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f3806ae7e34bd024924db27d7a490c545e4">FGT_FACE_LIST</a>)
<a name="l00112"></a>00112             {
<a name="l00113"></a>00113                 o &lt;&lt; <span class="stringliteral">"faceList, numVertices="</span> &lt;&lt; s.<a class="code" href="structOgre_1_1StaticFaceGroup.html#4b1e2bb83673099b9d2459a1bb67f429" title="The range of vertices in the buffer this facegroup references.">numVertices</a> &lt;&lt; <span class="stringliteral">", vertexStart="</span> &lt;&lt; s.<a class="code" href="structOgre_1_1StaticFaceGroup.html#09215495af768e8a68b20cf1a937af3a" title="Index into a buffer containing vertex definitions.">vertexStart</a>;
<a name="l00114"></a>00114                 o &lt;&lt; <span class="stringliteral">", numElements="</span> &lt;&lt; s.<a class="code" href="structOgre_1_1StaticFaceGroup.html#2dba19f0f06565cd111206a4a673239c" title="The number of vertex indices.">numElements</a> &lt;&lt; <span class="stringliteral">", elementStart="</span> &lt;&lt; s.<a class="code" href="structOgre_1_1StaticFaceGroup.html#3f73219edf1201e9a3c769f9ccc672bf" title="Index into a buffer containing vertex indices.">elementStart</a>;
<a name="l00115"></a>00115                 o &lt;&lt; <span class="stringliteral">", normal="</span> &lt;&lt; s.<a class="code" href="structOgre_1_1StaticFaceGroup.html#d258e1806394cbd8b2efe7f39d3a7296">plane</a>.<a class="code" href="classOgre_1_1Plane.html#3f97462d3822f6add8c070048f6c2d92">normal</a>;
<a name="l00116"></a>00116             }
<a name="l00117"></a>00117             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (s.<a class="code" href="structOgre_1_1StaticFaceGroup.html#bc91f43284e36aa2376f4d54078f0480">fType</a> == <a class="code" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f38b0cfe6b33db8e2804a5f50ae51d59ff5">FGT_PATCH</a>)
<a name="l00118"></a>00118             {
<a name="l00119"></a>00119                 o &lt;&lt; <span class="stringliteral">"bezierPatch, numVertices="</span> &lt;&lt; s.<a class="code" href="structOgre_1_1StaticFaceGroup.html#4b1e2bb83673099b9d2459a1bb67f429" title="The range of vertices in the buffer this facegroup references.">numVertices</a> &lt;&lt; <span class="stringliteral">", vertexStart="</span> &lt;&lt; s.<a class="code" href="structOgre_1_1StaticFaceGroup.html#09215495af768e8a68b20cf1a937af3a" title="Index into a buffer containing vertex definitions.">vertexStart</a>;
<a name="l00120"></a>00120                 <span class="comment">// TODO</span>
<a name="l00121"></a>00121             }
<a name="l00122"></a>00122 
<a name="l00123"></a>00123             o &lt;&lt; <span class="stringliteral">", materialHandle="</span> &lt;&lt; s.<a class="code" href="structOgre_1_1StaticFaceGroup.html#697d56998dccec97a4670930ea7c2a41" title="Handle to material used by this group.">materialHandle</a>;
<a name="l00124"></a>00124             o &lt;&lt; <span class="stringliteral">")"</span>;
<a name="l00125"></a>00125 
<a name="l00126"></a>00126             <span class="keywordflow">return</span> o;
<a name="l00127"></a>00127         }
<a name="l00128"></a>00128 
<a name="l00129"></a>00129 
<a name="l00130"></a>00130     };
<a name="l00131"></a>00131 
<a name="l00132"></a>00132 } <span class="comment">// namespace</span>
<a name="l00133"></a>00133 
<a name="l00134"></a>00134 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:56 2008
</p>
</body>
</html>
